Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.actions.JavascriptModifyItemInfo Class Reference

Inherits SystemIDisposable.

## Public Types
enum | JavascriptEventType { JavascriptEventType.e_JavascriptEventTypeUnknown = 0, JavascriptEventType.e_JavascriptEventTypeAppInit = 1, JavascriptEventType.e_JavascriptEventTypeHtmlCallback = 2, JavascriptEventType.e_JavascriptEventTypeDocOpen = 3, JavascriptEventType.e_JavascriptEventTypeDocWillPrint = 4, JavascriptEventType.e_JavascriptEventTypeDocDidprint = 5, JavascriptEventType.e_JavascriptEventTypeDocWillSave = 6, JavascriptEventType.e_JavascriptEventTypeDocDidSave = 7, JavascriptEventType.e_JavascriptEventTypeDocWillClose = 8, JavascriptEventType.e_JavascriptEventTypePageOpen = 9, JavascriptEventType.e_JavascriptEventTypePageClose = 10, JavascriptEventType.e_JavascriptEventTypePageInView = 11, JavascriptEventType.e_JavascriptEventTypePageOutView = 12, JavascriptEventType.e_JavascriptEventTypeFieldMouseDown = 13, JavascriptEventType.e_JavascriptEventTypeFieldMouseUp = 14, JavascriptEventType.e_JavascriptEventTypeFieldMouseEnter = 15, JavascriptEventType.e_JavascriptEventTypeFieldMouseExit = 16, JavascriptEventType.e_JavascriptEventTypeFieldFocus = 17, JavascriptEventType.e_JavascriptEventTypeFieldBlur = 18, JavascriptEventType.e_JavascriptEventTypeFieldKeyStroke = 19, JavascriptEventType.e_JavascriptEventTypeFieldValidate = 21, JavascriptEventType.e_JavascriptEventTypeFieldCalculate = 22, JavascriptEventType.e_JavascriptEventTypeFieldFormat = 23, JavascriptEventType.e_JavascriptEventTypeScreenFocus = 24, JavascriptEventType.e_JavascriptEventTypeScreenBlur = 25, JavascriptEventType.e_JavascriptEventTypeScreenOpen = 26, JavascriptEventType.e_JavascriptEventTypeScreenClose = 27, JavascriptEventType.e_JavascriptEventTypeScreenMouseDown = 28, JavascriptEventType.e_JavascriptEventTypeScreenMouseUp = 29, JavascriptEventType.e_JavascriptEventTypeScreenMouseEnter = 30, JavascriptEventType.e_JavascriptEventTypeScreenMouseExit = 31, JavascriptEventType.e_JavascriptEventTypeScreenInview = 32, JavascriptEventType.e_JavascriptEventTypeScreenOutview = 33, JavascriptEventType.e_JavascriptEventTypeBatchExec = 34, JavascriptEventType.e_JavascriptEventTypeMenuExec = 35, JavascriptEventType.e_JavascriptEventTypeConsoleExec = 36, JavascriptEventType.e_JavascriptEventTypeExternalExec = 37, JavascriptEventType.e_JavascriptEventTypeBookmarkMouseUp = 38, JavascriptEventType.e_JavascriptEventTypeLinkMouseUp = 39, JavascriptEventType.e_JavascriptEventTypeMediaBlur = 40, JavascriptEventType.e_JavascriptEventTypeMediaClose = 41, JavascriptEventType.e_JavascriptEventTypeMediaDone = 42, JavascriptEventType.e_JavascriptEventTypeMediaPlay = 43, JavascriptEventType.e_JavascriptEventTypeMediaReady = 44, JavascriptEventType.e_JavascriptEventTypeMediaSeek = 45, JavascriptEventType.e_JavascriptEventTypeMediaStop = 46 }
| Enumeration for javascript event type. More...
enum | JavascriptModifyItemType { JavascriptModifyItemType.e_JavascriptModifyItemTypeNone = 0, JavascriptModifyItemType.e_JavascriptModifyItemTypeField = 1, JavascriptModifyItemType.e_JavascriptModifyItemTypeAnnot = 2, JavascriptModifyItemType.e_JavascriptModifyItemTypePage = 3, JavascriptModifyItemType.e_JavascriptModifyItemTypeDoc = 4 }
| Enumeration for javascript modify item type. More...
enum | JavascriptModifyPropertyType { JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeNone = 0, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeBorderColor = 1, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeFillColor = 2, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeTextColor = 3, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeValue = 4, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeCharLimit = 5, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeButtonPosition = 6, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeSelectChange = 7, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeAlignment = 8, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeBorderStyle = 9, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeButtonAlignX = 10, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeButtonAlignY = 11, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeButtonFitBounds = 12, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeButtonScaleHow = 13, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeButtonScaleWhen = 14, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeComb = 15, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDefaultStyle = 16, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDefaultValue = 17, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDoNotScroll = 18, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDelay = 19, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDisplay = 20, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeEditable = 21, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeNotSpellCheck = 22, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeHidden = 23, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeHighlight = 24, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeLineWidth = 25, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeMultiline = 26, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypePassword = 27, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRect = 28, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRequired = 29, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRichText = 30, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRichValue = 31, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRotation = 32, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeNormalCaption = 33, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDownCaption = 34, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRolloverCaption = 35, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeTextFont = 36, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeUserName = 37, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeButtonSetIcon = 38, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeCheckThisBox = 39, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeClearItems = 40, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDefaultIsChecked = 41, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDeleteItemAt = 42, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeInsertItemAt = 43, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeSetItems = 44, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeActivated = 45, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeArrowBegin = 46, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeArrowEnd = 47, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeAttachIcon = 48, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeBorderEffectIntensity = 49, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeBorderEffectStyle = 50, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeCallout = 51, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeCaretSymbol = 52, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeContents = 53, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDash = 54, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDoCaption = 55, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeGestures = 56, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeIntent = 57, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeLeaderExtend = 58, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeLeaderLength = 59, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeLineEnding = 60, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeNoteIcon = 61, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeToggleNoView = 62, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeOpacity = 63, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypePoints = 64, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeQuads = 65, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeTextSize = 66, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRichContents = 67, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRichDefaults = 68, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeSoundIcon = 69, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeSubject = 70, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeVertices = 71, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeImport = 72, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRemoveDataObject = 73, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeImportDataObject = 74, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRemoveTemplate = 75, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeAddPageTemplate = 76, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRsetForms = 77, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRsetAllForms = 78, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeTitle = 79, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeResizePage = 80, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeSpawnPageFromTemplate = 81, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeAddWeblinks = 82, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRemoveWeblinks = 83, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRemoveLinks = 84, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypePageRotations = 85, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeNewPage = 86, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeMovePage = 87, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeInsertPages = 88, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeReplacePages = 89, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeImportAnnotFromXFDF = 90, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeDeleteAnnot = 91, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeAddWatermark = 92, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeFlatDocument = 93, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeAddFileAttachment = 94, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRuntimeHighlight = 95, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeRuntimeHighlightColor = 96, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeInsertFromTemplates = 97, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeAddLink = 98, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeMultipleSelection = 99, JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeSetPageTemplateVisible = 100 }
| Enumeration for javascript pre-sign item type. More...
enum | JavascriptModifyType { JavascriptModifyType.e_JavascriptModifyTypeNone = 0, JavascriptModifyType.e_JavascriptModifyTypeAdd = 1, JavascriptModifyType.e_JavascriptModifyTypeModify = 2, JavascriptModifyType.e_JavascriptModifyTypeDelete = 3 }
| Enumeration for javascript modify type. More...

## Public Member Functions
| JavascriptModifyItemInfo ()
| Constructor.
| JavascriptModifyItemInfo (JavascriptModifyItemInfo.JavascriptEventType event_type, int page_index, int field_control_index, JavascriptModifyItemInfo.JavascriptModifyItemType modify_item_type, JavascriptModifyItemInfo.JavascriptModifyType modify_type, JavascriptModifyItemInfo.JavascriptModifyPropertyType modify_property_type, string field_or_annot_name, string new_value, string old_value)
| Constructor, with parameters. More...
| JavascriptModifyItemInfo (JavascriptModifyItemInfo other)
| Constructor, with another javascript modify item information object. More...

## Properties
JavascriptModifyItemInfo.JavascriptEventType | event_type`[get, set]`
| The javascript event type. Please refer to values starting from foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptEventType.e_JavascriptEventTypeUnknown and this should be one of these values.
int | field_control_index`[get, set]`
| The control index of form field.
string | field_or_annot_name`[get, set]`
| The form field full name or annot subtype name.
JavascriptModifyItemInfo.JavascriptModifyItemType | modify_item_type`[get, set]`
| The modify item type. Please refer to values starting from foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyItemType.e_JavascriptModifyItemTypeNone and this should be one of these values.
JavascriptModifyItemInfo.JavascriptModifyPropertyType | modify_property_type`[get, set]`
| The modify property type. Please refer to values starting from foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyPropertyType.e_JavascriptModifyPropertyTypeNone and this should be one of these values.
JavascriptModifyItemInfo.JavascriptModifyType | modify_type`[get, set]`
| The modify type. Please refer to values starting from foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyType.e_JavascriptModifyTypeNone and this should be one of these values.
string | new_value`[get, set]`
| The new value.
string | old_value`[get, set]`
| The old value.
int | page_index`[get, set]`
| The page index.

## Detailed Description

This class represents the javascript modify item information

## Member Enumeration Documentation

## ◆ JavascriptEventType

enum foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptEventType
| strong

Enumeration for javascript event type.

Values of this enumeration should be used alone.

Enumerator
e_JavascriptEventTypeUnknown | Javascript event: unknown.
e_JavascriptEventTypeAppInit | Javascript event: App initialize.
e_JavascriptEventTypeHtmlCallback | Javascript event: Html callback.
e_JavascriptEventTypeDocOpen | Javascript event: Document open.
e_JavascriptEventTypeDocWillPrint | Javascript event: Document will print.
e_JavascriptEventTypeDocDidprint | Javascript event: Document did print.
e_JavascriptEventTypeDocWillSave | Javascript event: Document will save.
e_JavascriptEventTypeDocDidSave | Javascript event: Document did save.
e_JavascriptEventTypeDocWillClose | Javascript event: Document will close.
e_JavascriptEventTypePageOpen | Javascript event: Page open.
e_JavascriptEventTypePageClose | Javascript event: Page close.
e_JavascriptEventTypePageInView | Javascript event: Page inview.
e_JavascriptEventTypePageOutView | Javascript event: Page outview.
e_JavascriptEventTypeFieldMouseDown | Javascript event: Form field mouse down.
e_JavascriptEventTypeFieldMouseUp | Javascript event: Form field mouse up.
e_JavascriptEventTypeFieldMouseEnter | Javascript event: Form field mouse enter.
e_JavascriptEventTypeFieldMouseExit | Javascript event: Form field mouse exit.
e_JavascriptEventTypeFieldFocus | Javascript event: Form field focus.
e_JavascriptEventTypeFieldBlur | Javascript event: Form field blur.
e_JavascriptEventTypeFieldKeyStroke | Javascript event: Form field key stroke.
e_JavascriptEventTypeFieldValidate | Javascript event: Form field validate.
e_JavascriptEventTypeFieldCalculate | Javascript event: Form field calculate.
e_JavascriptEventTypeFieldFormat | Javascript event: Form field format.
e_JavascriptEventTypeScreenFocus | Javascript event: Screen focus.
e_JavascriptEventTypeScreenBlur | Javascript event: Screen blur.
e_JavascriptEventTypeScreenOpen | Javascript event: Screen open.
e_JavascriptEventTypeScreenClose | Javascript event: Screen close.
e_JavascriptEventTypeScreenMouseDown | Javascript event: Screen mouse down.
e_JavascriptEventTypeScreenMouseUp | Javascript event: Screen mouse up.
e_JavascriptEventTypeScreenMouseEnter | Javascript event: Screen mouse enter.
e_JavascriptEventTypeScreenMouseExit | Javascript event: Screen mouse exit.
e_JavascriptEventTypeScreenInview | Javascript event: Screen in view.
e_JavascriptEventTypeScreenOutview | Javascript event: Screen out view.
e_JavascriptEventTypeBatchExec | Javascript event: Batch execute.
e_JavascriptEventTypeMenuExec | Javascript event: Menu execute.
e_JavascriptEventTypeConsoleExec | Javascript event: Console execute.
e_JavascriptEventTypeExternalExec | Javascript event: External execute.
e_JavascriptEventTypeBookmarkMouseUp | Javascript event: Bookmark mouse up.
e_JavascriptEventTypeLinkMouseUp | Javascript event: Link mouse up.
e_JavascriptEventTypeMediaBlur | Javascript event: Media blur.
e_JavascriptEventTypeMediaClose | Javascript event: Media close.
e_JavascriptEventTypeMediaDone | Javascript event: Media done.
e_JavascriptEventTypeMediaPlay | Javascript event: Media play.
e_JavascriptEventTypeMediaReady | Javascript event: Media ready.
e_JavascriptEventTypeMediaSeek | Javascript event: Media seek.
e_JavascriptEventTypeMediaStop | Javascript event: Media stop.

## ◆ JavascriptModifyItemType

enum foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyItemType
| strong

Enumeration for javascript modify item type.

Values of this enumeration should be used alone.

Enumerator
e_JavascriptModifyItemTypeNone | Javascript modify item type: none.
e_JavascriptModifyItemTypeField | Javascript modify item type: field.
e_JavascriptModifyItemTypeAnnot | Javascript modify item type: Annot.
e_JavascriptModifyItemTypePage | Javascript modify item type: Page.
e_JavascriptModifyItemTypeDoc | Javascript modify item type: Doc.

## ◆ JavascriptModifyPropertyType

enum foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyPropertyType
| strong

Enumeration for javascript pre-sign item type.

Values of this enumeration should be used alone.

Enumerator
e_JavascriptModifyPropertyTypeNone | Javascript pre-sign item type: none.
e_JavascriptModifyPropertyTypeBorderColor | Javascript pre-sign item type: border color.
e_JavascriptModifyPropertyTypeFillColor | Javascript pre-sign item type: fill color.
e_JavascriptModifyPropertyTypeTextColor | Javascript event item type: text color.
e_JavascriptModifyPropertyTypeValue | Javascript event item type: value.
e_JavascriptModifyPropertyTypeCharLimit | Javascript event item type: char limit.
e_JavascriptModifyPropertyTypeButtonPosition | Javascript event item type: button position.
e_JavascriptModifyPropertyTypeSelectChange | Javascript event item type: select change.
e_JavascriptModifyPropertyTypeAlignment | Javascript event item type: alignment.
e_JavascriptModifyPropertyTypeBorderStyle | Javascript event item type: border style.
e_JavascriptModifyPropertyTypeButtonAlignX | Javascript event item type: button align x.
e_JavascriptModifyPropertyTypeButtonAlignY | Javascript event item type: button align Y.
e_JavascriptModifyPropertyTypeButtonFitBounds | Javascript event item type: button fit bounds.
e_JavascriptModifyPropertyTypeButtonScaleHow | Javascript event item type: button scale how.
e_JavascriptModifyPropertyTypeButtonScaleWhen | Javascript event item type: button scale when.
e_JavascriptModifyPropertyTypeComb | Javascript event item type: Comb.
e_JavascriptModifyPropertyTypeDefaultStyle | Javascript event item type: default style.
e_JavascriptModifyPropertyTypeDefaultValue | Javascript event item type: default value.
e_JavascriptModifyPropertyTypeDoNotScroll | Javascript event item type: do not scroll.
e_JavascriptModifyPropertyTypeDelay | Javascript event item type: delay.
e_JavascriptModifyPropertyTypeDisplay | Javascript event item type: display.
e_JavascriptModifyPropertyTypeEditable | Javascript event item type: editable.
e_JavascriptModifyPropertyTypeNotSpellCheck | Javascript event item type: not spell check.
e_JavascriptModifyPropertyTypeHidden | Javascript event item type: hidden.
e_JavascriptModifyPropertyTypeHighlight | Javascript event item type: highlight.
e_JavascriptModifyPropertyTypeLineWidth | Javascript event item type: line width.
e_JavascriptModifyPropertyTypeMultiline | Javascript event item type: multiline.
e_JavascriptModifyPropertyTypePassword | Javascript event item type: password.
e_JavascriptModifyPropertyTypeRect | Javascript event item type: rect.
e_JavascriptModifyPropertyTypeRequired | Javascript event item type: required.
e_JavascriptModifyPropertyTypeRichText | Javascript event item type: rich text.
e_JavascriptModifyPropertyTypeRichValue | Javascript event item type: rich value.
e_JavascriptModifyPropertyTypeRotation | Javascript event item type: rotation.
e_JavascriptModifyPropertyTypeNormalCaption | Javascript event item type: normal caption.
e_JavascriptModifyPropertyTypeDownCaption | Javascript event item type: down caption.
e_JavascriptModifyPropertyTypeRolloverCaption | Javascript event item type: rollover caption.
e_JavascriptModifyPropertyTypeTextFont | Javascript event item type: text font.
e_JavascriptModifyPropertyTypeUserName | Javascript event item type: user name.
e_JavascriptModifyPropertyTypeButtonSetIcon | Javascript event item type: set button icon.
e_JavascriptModifyPropertyTypeCheckThisBox | Javascript event item type: check this box.
e_JavascriptModifyPropertyTypeClearItems | Javascript event item type: clear items.
e_JavascriptModifyPropertyTypeDefaultIsChecked | Javascript event item type: default is checked.
e_JavascriptModifyPropertyTypeDeleteItemAt | Javascript event item type: delete item at.
e_JavascriptModifyPropertyTypeInsertItemAt | Javascript event item type: insert item at.
e_JavascriptModifyPropertyTypeSetItems | Javascript event item type: set items.
e_JavascriptModifyPropertyTypeActivated | Javascript event item type: activated.
e_JavascriptModifyPropertyTypeArrowBegin | Javascript event item type: arrow begin.
e_JavascriptModifyPropertyTypeArrowEnd | Javascript event item type: arrow end.
e_JavascriptModifyPropertyTypeAttachIcon | Javascript event item type: attach icon.
e_JavascriptModifyPropertyTypeBorderEffectIntensity | Javascript event item type: border effect intensity.
e_JavascriptModifyPropertyTypeBorderEffectStyle | Javascript event item type: border effect style.
e_JavascriptModifyPropertyTypeCallout | Javascript event item type: callout.
e_JavascriptModifyPropertyTypeCaretSymbol | Javascript event item type: caret symbol.
e_JavascriptModifyPropertyTypeContents | Javascript event item type: contents.
e_JavascriptModifyPropertyTypeDash | Javascript event item type: dash.
e_JavascriptModifyPropertyTypeDoCaption | Javascript event item type: do caption.
e_JavascriptModifyPropertyTypeGestures | Javascript event item type: gestures.
e_JavascriptModifyPropertyTypeIntent | Javascript event item type: intent.
e_JavascriptModifyPropertyTypeLeaderExtend | Javascript event item type: leader extend.
e_JavascriptModifyPropertyTypeLeaderLength | Javascript event item type: leader length.
e_JavascriptModifyPropertyTypeLineEnding | Javascript event item type: line ending.
e_JavascriptModifyPropertyTypeNoteIcon | Javascript event item type: note icon.
e_JavascriptModifyPropertyTypeToggleNoView | Javascript event item type: toggle no view.
e_JavascriptModifyPropertyTypeOpacity | Javascript event item type: opacity.
e_JavascriptModifyPropertyTypePoints | Javascript event item type: points.
e_JavascriptModifyPropertyTypeQuads | Javascript event item type: quadspoints.
e_JavascriptModifyPropertyTypeTextSize | Javascript event item type: text size.
e_JavascriptModifyPropertyTypeRichContents | Javascript event item type: rich contents.
e_JavascriptModifyPropertyTypeRichDefaults | Javascript event item type: rich defaults.
e_JavascriptModifyPropertyTypeSoundIcon | Javascript event item type: sound icon.
e_JavascriptModifyPropertyTypeSubject | Javascript event item type: subject.
e_JavascriptModifyPropertyTypeVertices | Javascript event item type: vertices.
e_JavascriptModifyPropertyTypeImport | Javascript event item type: import.
e_JavascriptModifyPropertyTypeRemoveDataObject | Javascript event item type: remove data object.
e_JavascriptModifyPropertyTypeImportDataObject | Javascript event item type: import data object.
e_JavascriptModifyPropertyTypeRemoveTemplate | Javascript event item type: remove template.
e_JavascriptModifyPropertyTypeAddPageTemplate | Javascript event item type: add page template.
e_JavascriptModifyPropertyTypeRsetForms | Javascript event item type: reset forms.
e_JavascriptModifyPropertyTypeRsetAllForms | Javascript event item type: reset all forms.
e_JavascriptModifyPropertyTypeTitle | Javascript event item type: title.
e_JavascriptModifyPropertyTypeResizePage | Javascript event item type: resize page.
e_JavascriptModifyPropertyTypeSpawnPageFromTemplate | Javascript event item type: spawn page from template.
e_JavascriptModifyPropertyTypeAddWeblinks | Javascript event item type: add web links.
e_JavascriptModifyPropertyTypeRemoveWeblinks | Javascript event item type: remove web links.
e_JavascriptModifyPropertyTypeRemoveLinks | Javascript event item type: remove links.
e_JavascriptModifyPropertyTypePageRotations | Javascript event item type: page rotations.
e_JavascriptModifyPropertyTypeNewPage | Javascript event item type: new page.
e_JavascriptModifyPropertyTypeMovePage | Javascript event item type: move page.
e_JavascriptModifyPropertyTypeInsertPages | Javascript event item type: insert pages.
e_JavascriptModifyPropertyTypeReplacePages | Javascript event item type: replace pages.
e_JavascriptModifyPropertyTypeImportAnnotFromXFDF | Javascript event item type: import annot from xfdf.
e_JavascriptModifyPropertyTypeDeleteAnnot | Javascript event item type: delete annot.
e_JavascriptModifyPropertyTypeAddWatermark | Javascript event item type: add watermark.
e_JavascriptModifyPropertyTypeFlatDocument | Javascript event item type: flat document.
e_JavascriptModifyPropertyTypeAddFileAttachment | Javascript event item type: add fileattachment.
e_JavascriptModifyPropertyTypeRuntimeHighlight | Javascript event item type: runtime highlight.
e_JavascriptModifyPropertyTypeRuntimeHighlightColor | Javascript event item type: runtime highlight color.
e_JavascriptModifyPropertyTypeInsertFromTemplates | Javascript event item type: insert from templates.
e_JavascriptModifyPropertyTypeAddLink | Javascript event item type: add link.
e_JavascriptModifyPropertyTypeMultipleSelection | Javascript event item type: multiple selection.
e_JavascriptModifyPropertyTypeSetPageTemplateVisible | Javascript event item type: set page template visible.

## ◆ JavascriptModifyType

enum foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyType
| strong

Enumeration for javascript modify type.

Values of this enumeration should be used alone.

Enumerator
e_JavascriptModifyTypeNone | Javascript modify type: none.
e_JavascriptModifyTypeAdd | Javascript modify type: add.
e_JavascriptModifyTypeModify | Javascript modify type: modify.
e_JavascriptModifyTypeDelete | Javascript modify type: Delete.

## Constructor & Destructor Documentation

## ◆ JavascriptModifyItemInfo() [1/2]

foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyItemInfo | ( | JavascriptModifyItemInfo.JavascriptEventType | event_type,
|  | int | page_index,
|  | int | field_control_index,
|  | JavascriptModifyItemInfo.JavascriptModifyItemType | modify_item_type,
|  | JavascriptModifyItemInfo.JavascriptModifyType | modify_type,
|  | JavascriptModifyItemInfo.JavascriptModifyPropertyType | modify_property_type,
|  | string | field_or_annot_name,
|  | string | new_value,
|  | string | old_value
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | event_type | The javascript event type.
  [in] | page_index | The modify page index.
  [in] | field_control_index | The control index of form field.
  [in] | modify_item_type | The modify item type.
  [in] | modify_type | The modify type.
  [in] | modify_property_type | The modify property type.
  [in] | field_or_annot_name | The form field full name or annot subtype name.
  [in] | new_value | The new value.
  [in] | old_value | The old value.

## ◆ JavascriptModifyItemInfo() [2/2]

foxit.pdf.actions.JavascriptModifyItemInfo.JavascriptModifyItemInfo | ( | JavascriptModifyItemInfo | other | ) |
| inline

Constructor, with another javascript modify item information object.

Parameters

  [in] | other | Another javascript modify item information object.